# 1) Ввод алгебраического выражения 
a = input("Введите выражение (например: a*b+c): ")

# 2) Даём значения переменным и вычисляем введенное выражение
b = {}
for i in a:
    if i.isalpha() and i not in b: #i.isalpha() - проверяем, что элемент является буквой
        b[i] = float(input(f"Задайте значение {i}: "))

result = eval(a, b)

# 3) Отображаем полученный результат
print(f"Выражение: {a} : результат вычисления = {result}")

# 4) Записываем в текстовый файл
with open('result.txt', 'w') as f:
    f.write(a + '\n')
    f.write(str(result))

# 5) Удаляем переменные из памяти
del a, b, result
